package com.gh.gamecenter.entity

import android.os.Parcel
import android.os.Parcelable

/**
 * Created by khy on 20/06/17.
 */

class GameDetailPlayer : Parcelable {

    var des: String? = null

    var qq: String? = null

    var key: String? = null

    override fun describeContents(): Int {
        return 0
    }

    override fun writeToParcel(dest: Parcel, flags: Int) {
        dest.writeString(this.des)
        dest.writeString(this.qq)
        dest.writeString(this.key)
    }

    constructor()

    protected constructor(`in`: Parcel) {
        this.des = `in`.readString()
        this.qq = `in`.readString()
        this.key = `in`.readString()
    }

    companion object {

        @JvmField
        val CREATOR: Parcelable.Creator<GameDetailPlayer> = object : Parcelable.Creator<GameDetailPlayer> {
            override fun createFromParcel(source: Parcel): GameDetailPlayer {
                return GameDetailPlayer(source)
            }

            override fun newArray(size: Int): Array<GameDetailPlayer?> {
                return arrayOfNulls(size)
            }
        }
    }
}
